TTF_GetTextScript(3)

NAME
TTF_GetTextScript - Get the script used for text shaping a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

Uint32 TTF_GetTextScript(TTF_Text *text);

DESCRIPTION
This defaults to the script of the font used by the text object.

FUNCTION PARAMETERS

text
    the text to query.

RETURN VALUE
Returns an

or 0 if a script hasn't been set on either the text object or the font.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_TagToString(3)